Name:           kdevplatform
Summary:        Libraries for use by KDE development tools
Version:        1.0.0 
Release:        1%{?dist}

Group:          Development/Tools
License:        GPLv2
URL:            http://www.kde.org/
### SNAPSHOT
#Source0:VAR svnrel echo $(date +%Y%m%d)svn$(svn info svn://anonsvn.kde.org/home/kde/trunk/KDE/kdevplatform | grep 'Rev:' | cut -d" " -f4)
#Source0:CMD svn export svn://anonsvn.kde.org/home/kde/trunk/KDE/kdevplatform kdevplatform-%{version}.%{svnrel}
#Source0:CMD tar cjf %{_sourcedir}/kdevplatform-%{version}.%{svnrel}.tar.bz2 kdevplatform-%{version}.%{svnrel}
#Source0:CMD rm -rf kdevplatform-%{version}.%{svnrel}
### TAG
#Source0:DISABLECMD svn export svn://anonsvn.kde.org/home/kde/tags/kdevplatform/%{version} kdevplatform-%{version}
#Source0:DISABLECMD tar cjf %{_sourcedir}/kdevplatform-%{version}.tar.bz2 kdevplatform-%{version}
#Source0:DISABLECMD rm -rf kdevplatform-%{version}
#Source0:        kdevplatform-%{version}%{?alphatag}.tar.bz2
### ORIGINAL
Source0:        ftp://ftp.kde.org/pub/kde/stable/kdevelop/4.0.0/src/kdevplatform-%{version}.tar.bz2
Source1:        ftp://ftp.kde.org/pub/kde/stable/kdevelop/4.0.0/src/kdevplatform-%{version}.tar.bz2.md5sum
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
# ?? kompare support seems disabled
BuildRequires:  kdesdk-devel >= 4.4
BuildRequires:  pcre-devel
BuildRequires:  subversion-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
KDE Development platform, the foundations upon which
KDevelop and Quanta are built.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: boost-devel
Requires: commoncpp2-devel
Requires: kdelibs4-devel
Requires: subversion-devel
%description devel
%{summary}.


%prep
%setup -q -n kdevplatform-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-kde


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%post libs -p /sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%postun libs -p /sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING.PLUGINS COPYING.SRC
%{_kde4_appsdir}/kdev*/
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_iconsdir}/hicolor/*/*/*

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*.so

%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so
%{_kde4_includedir}/kdevplatform/
%{_kde4_libdir}/cmake/kdevplatform/


%changelog
* Thu Apr 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- kdevplatform-1.0.0

* Sat Apr 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.10.2-1
- kdevplatform-0.10.2

* Thu Apr 08 2010 Rex Dieter <rdieter@fedoraproject.org. - 0.10.0-1
- kdevplatform-0.10.0

* Mon Mar 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.99-1
- kdevplatform-0.9.99

* Mon Feb 22 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.98-1
- kdevplatform-0.9.98

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.97-2 
- rebuild (boost)
- BR: kdelibs4-devel

* Thu Jan 07 2010 Rex Dieter <rdieter@fedoraproject.org> 0.9.97-1
- kdevplatform-0.9.97
- kdevplatform: file conflict with kdelibs (FindKDevPlatform.cmake) (#541690)

* Sun Nov 22 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.95-0.6.20091015svn1035382
- rebuild (fc13+, qt-4.6.0-rc1)

* Thu Oct 15 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.5.20091015svn1035382
- New snapshot

* Sun Oct 11 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.4.beta5
- Fix finding Kompare includes

* Tue Sep 29 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.3.beta5
- Use official release

* Mon Sep 14 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.2
- Add icon scriptlets

* Mon Sep 14 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.1
- Update tarball

* Fri May 29 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.93-0.1
- 1.0 Beta 3

* Sat Feb 21 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.9.91-0.2.20090221svn929301
- Post KDevplatform 1.0 Beta 1 snapshot

* Fri Jan 09 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.9.85-1
- 0.9.85 snapshot
